% testproj1.m   origine : test.m 
% fd, 22 janvier 2006
% fe 06 juillet 2026 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear ; format long 

fprintf  ('\n')  
fprintf  ('testproj1 \n')  
fprintf  ('test du projecteur "proj1" sur une droite affine du plan \n') 
fprintf  ('\n')  

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fprintf  ('droite des contraintes de la forme x/p + y/q = 1   \n') ;


p=1 , q=1
xmin = -3 ; xmax = 3 ;
ymin = q*(1-(xmin/p)) ; ymax = q*(1-(xmax/p)) ;
%% zeromin = 1 - (xmin/p) - (ymin/q) 
%% zeromax = 1 - (xmax/p) - (ymax/q) 

hold off 			  
plot ([xmin,xmax],[ymin,ymax],'k;;')
axis ( [ -3.1, 3.1, -3.1, 3.1, ] , 'square' );
title ('droite affine x+y=1') ;
print('01a-projection-sur-une-droite-affine', '-djpg','-S891,630'); 
pause (.5) ; hold on 


x0 = 0. ; y0 = 0. ;
[xx,yy]=proj1(x0,y0,p,q) ;
plot ( x0,y0,'ob' , xx,yy,'*k', [x0,xx],[y0,yy],'r')
title ('projection de l origine') ;
print('01b-projection-sur-une-droite-affine', '-djpg','-S891,630'); 
pause (.5) ; hold on 


x0 = 0. ; y0 = -3. ;
[xx,yy]=proj1(x0,y0,p,q) ;
plot ( x0,y0,'ob' , xx,yy,'*k', [x0,xx],[y0,yy],'r')
title ('projection d un nouveau point du plan') ;
print('01c-projection-sur-une-droite-affine', '-djpg','-S891,630'); 
pause (.5) ; hold on 


x0 = 1. ; y0 = 3. ;
[xx,yy]=proj1(x0,y0,p,q) ;
plot ( x0,y0,'ob' , xx,yy,'*k', [x0,xx],[y0,yy],'r')
title ('projection d un nouveau point du plan') ;
print('01d-projection-sur-une-droite-affine', '-djpg','-S891,630'); 
pause (.5) ; hold on 


x0 = -3. ; y0 = 1. ;
[xx,yy]=proj1(x0,y0,p,q) ;
plot ( x0,y0,'ob' , xx,yy,'*k', [x0,xx],[y0,yy],'r')
title ('projection d un nouveaudernier point...') ;
print('01e-projection-sur-une-droite-affine', '-djpg','-S891,630'); 
hold off




